/*
 * telepathy-interfaces.h - Header for Telepathy interface names
 * Copyright (C) 2005 Collabora Ltd.
 * Copyright (C) 2005 Nokia Corporation
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __TELEPATHY_INTERFACES_H__
#define __TELEPATHY_INTERFACES_H__

#include <glib-object.h>

G_BEGIN_DECLS

#include <libtelepathy/_gen-tp-interfaces.h>

/* Names that don't quite follow convention */
#define TP_IFACE_CHANNEL_INTERFACE TP_IFACE_CHANNEL
#define TP_IFACE_CONN_INTERFACE TP_IFACE_CONN
#define TP_IFACE_CONN_MGR_INTERFACE TP_IFACE_CONN_MANAGER
#define TP_IFACE_PROPERTIES TP_IFACE_PROPERTIES_INTERFACE

/* Obsolete and omitted from the spec, but kept for source compat */
#define TP_IFACE_CHANNEL_INTERFACE_SUBJECT \
        "org.freedesktop.Telepathy.Channel.Interface.Subject"

G_END_DECLS

#endif /* #ifndef __TELEPATHY_INTERFACES_H__*/
